Update a File Tag

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.visible.vc/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Visible API MCP server": {
  "url": "https://docs.visible.vc/mcp"
}
Close
PUT /file_tags/{id}

Update a file tag.

Path parameters

  • id string(uuid) Required

    ID of the file tag

application/json

Body Required

  • file_tag object
    Hide file_tag attributes Show file_tag attributes object
    • name string Required

      Name of the file tag

    • company_id string(uuid)

      ID of your company or fund

Responses

  • 200 application/json

    File tag successfully updated

    Hide response attribute Show response attribute object
    • file_tag object
      Hide file_tag attributes Show file_tag attributes object
      • id string(uuid) Required

        Unique identifier for the file tag

      • name string Required

        Name of the file tag

      • created_at string(date-time) Required

        When the file tag was created

  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 403 application/json

    Forbidden - The authenticated user does not have access to the requested resource

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 422 application/json

    Unprocessable Entity - The request is valid but contains semantic errors

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

PUT /file_tags/{id}
curl \
 --request PUT 'https://api.visible.vc/file_tags/{id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"file_tag":{"name":"Updated Board"}}'
Request example
{
  "file_tag": {
    "name": "Updated Board"
  }
}
Response examples (200)
{
  "file_tag": {
    "id": "ec5252fe-9abc-4096-85e9-1374e70a3182",
    "name": "Updated Board",
    "created_at": "2025-01-01T00:00:00.000Z"
  }
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "type": "forbidden"
    }
  ]
}
Response examples (422)
{
  "errors": [
    {
      "type": "attribute_invalid",
      "field": "value",
      "message": "required"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}